Bug 478589 - rb_libtorrent-devel should Require asio-devel
rb_libtorrent-devel should Require asio-devel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rb_libtorrent (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 09:20 EST by Aurelien Bompard
Modified: 2009-06-26 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 20:45:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2009-01-01 09:20:51 EST
Description of problem:
In the rb_libtorrent-devel package, some header files include headers from the asio-devel package. For example, /usr/include/libtorrent/socket.hpp
As a result, rb_libtorrent-devel should have a Requires: asio-devel.

Version-Release number of selected component (if applicable):
rb_libtorrent-devel-0.13.1-3.fc10.i386
Comment 1 Peter Gordon 2009-01-01 17:18:10 EST
Oopsie; a minor oversight on my part - I'll get it fixed soon. Thanks for the bug report!
Comment 2 Peter Gordon 2009-01-05 20:45:38 EST
Fixed in rawhide; will sync downward to F-10 and F-9 shortly. :)
Comment 3 Fedora Update System 2009-01-05 23:54:33 EST
rb_libtorrent-0.13.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rb_libtorrent-0.13.1-4.fc10
Comment 4 Fedora Update System 2009-01-23 21:39:47 EST
rb_libtorrent-0.13.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-06-15 05:23:03 EDT
rb_libtorrent-0.12.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rb_libtorrent-0.12.1-2.fc9
Comment 6 Fedora Update System 2009-06-26 22:51:16 EDT
rb_libtorrent-0.12.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.